Full Report
GET: https://api.creditchek.africa/v1/credit/ke/metropol-premium?nationalID=5392
Request Parameters​
| Name | Position | Required | Description |
|---|---|---|---|
| token | Headers | True | app secret key |
| nationalID | query | True | user national ID |
Example Request
---
curl --location --request GET 'https://api.creditchek.africa/v1/credit/ke/metropol-premium?nationalID=5392' \
--header 'token: {{token}}'
---
Response
{
"status": true,
"data": {
"_id": "636e768d8215a2e2fb06cfde",
"nationalID": "5392",
"fullName": "surname 5392 Othernames 5392",
"gender": "M",
"dateOfBirth": "1970-04-04T00:00:00-05:00",
"surname": "surname 5392",
"otherNames": "Othernames 5392",
"searchedDate": "2025-04-29T11:12:14.145Z",
"score": {
"account_info": [
{
"account_number": "XXXXXXX",
"account_status": "Closed",
"current_balance": "0.00000",
"date_opened": "YYYY-MM-DD",
"days_in_arrears": 0,
"delinquency_code": "003",
"highest_days_in_arrears": 0,
"is_your_account": false,
"last_payment_amount": "XXX.XX",
"last_payment_date": "YYYY-MM-DD",
"loaded_at": "YYYY-MM-DD",
"original_amount": "XXXX.XX",
"overdue_balance": "0.00000",
"overdue_date": null,
"product_type_id": 7
}
],
"api_code": null,
"api_code_description": null,
"association": [],
"credit_score": 260,
"delinquency_code": "004",
"guarantors": [],
"has_error": false,
"has_fraud": false,
"identity_number": "XXXXXXX",
"identity_scrub": {
"api_code": null,
"api_code_description": null,
"bio_nationality": ["KENYA"],
"date_of_being": ["YYYY-MM-DD"],
"email": [],
"employment": [],
"gender": ["F"],
"has_error": false,
"identity_number": "XXXXXXX",
"identity_type": "National ID",
"identity_type_id": "001",
"identity_website": [],
"marital_status": ["M"],
"names": ["XXXXXXXX"],
"phone": ["XXXXXXXX"],
"physical_address": [
{
"address": "XXXXXXXX",
"country": "Kenya",
"plot_number": null,
"town": "XXXXXXXX"
}
],
"postal_address": [
{
"code": "XXXXX",
"country": "Kenya",
"number": "XXXXXXXX",
"town": "XXXXXXXX"
}
]
},
"identity_type": "001",
"identity_verification": {
"api_code": 200,
"api_code_description": null,
"citizenship": "KENYAN",
"date_of_birth": "YYYY-MM-DD",
"error": false,
"first_name": "XXXXXXXX",
"last_name": "XXXXXXXX",
"other_name": "XXXXXXXX",
"surname": "XXXXXXXX",
"gender": "F",
"id_number": "XXXXXXX",
"identity_number": "XXXXXXX",
"identity_type": "001",
"trx_id": "XXXXXXXX"
},
"is_guarantor": false,
"lender_sector": {
"sector_bank": {
"account_npa": 1,
"account_performing": 39,
"account_performing_npa_history": 1
},
"sector_other": {
"account_npa": 0,
"account_performing": 0,
"account_performing_npa_history": 0
}
},
"no_of_bounced_cheques": {
"last_12_months": 0,
"last_3_months": 0,
"last_6_months": 0
},
"no_of_credit_applications": {
"last_12_months": 1,
"last_3_months": 0,
"last_6_months": 0
},
"no_of_enquiries": {
"last_12_months": 0,
"last_3_months": 0,
"last_6_months": 0
},
"stakeholders": [],
"trx_id": "XXXXXXXX"
}
},
"message": "Request successful",
"error": false
}